YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class LegendItemData

Package | com.yahoo.astra.fl.charts.legend
Class | public class LegendItemData

Public Properties

| Property | Defined by
--- | --- | ---
|  | fillColor : uint The base color (possibly) used by the marker. | LegendItemData
|  | label : String The text to display on the LegendItem. | LegendItemData
|  | markerSkin : Object The skin to use for the marker on the LegendItem. | LegendItemData

Public Methods

| Method | Defined by
--- | --- | ---
|  | LegendItemData(label:String = "", markerSkin:Object = null, fillColor:uint = 0x000000) Constructor. | LegendItemData

Property detail

fillColor | property

`public var fillColor:uint`

The base color (possibly) used by the marker.

label | property |

`public var label:String`

The text to display on the LegendItem.

markerSkin | property |

`public var markerSkin:Object`

The skin to use for the marker on the LegendItem.

Constructor detail

LegendItemData | () | constructor

`public function LegendItemData(label:String = "", markerSkin:Object = null, fillColor:uint = 0x000000)`

Constructor.

Parameters

| `label:String` (default = "``")`` — The text to display on the LegendItem.
| `markerSkin:Object` (default = `null`)`` — The skin to use with the marker on the LegendItem.
| `fillColor:uint` (default = `0x000000`)`` — The base color (possibly) used by the marker.